aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2019-11-19 07:21:02 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2019-11-19 07:21:02 +0200
commit371fe79987f70c4992c842382c9c025e77e4aa6d (patch)
tree24cc1f2232b24281d843134d5710e3df374b583f
parent25156244b8491f2fce83d37bbd7597e66bb45233 (diff)
Release version 2.5.0-b.17
-rw-r--r--manifest4
-rw-r--r--odb/qt/version-build2.hxx.in2
-rw-r--r--odb/qt/version.hxx10
-rw-r--r--odb/qt/version.options2
-rw-r--r--version2
5 files changed, 10 insertions, 10 deletions
diff --git a/manifest b/manifest
index 1ef66f2..91abc9b 100644
--- a/manifest
+++ b/manifest
@@ -1,6 +1,6 @@
: 1
name: libodb-qt
-version: 2.5.0-b.16.z
+version: 2.5.0-b.17
project: odb
summary: Qt ODB profile library
license: GPLv2
@@ -18,4 +18,4 @@ requires: c++11
requires: libqt-core ; Requires not yet packaged libqt-core.
depends: * build2 >= 0.11.0
depends: * bpkg >= 0.11.0
-depends: libodb [2.5.0-b.16.1 2.5.0-b.17)
+depends: libodb == 2.5.0-b.17
diff --git a/odb/qt/version-build2.hxx.in b/odb/qt/version-build2.hxx.in
index 2c13d7e..3b479cf 100644
--- a/odb/qt/version-build2.hxx.in
+++ b/odb/qt/version-build2.hxx.in
@@ -6,7 +6,7 @@
// @@ TODO: need to derive automatically (it is also hardcoded in *.options).
//
-#define ODB_QT_VERSION 2046600
+#define ODB_QT_VERSION 2046700
// The numeric version format is AAAAABBBBBCCCCCDDDE where:
//
diff --git a/odb/qt/version.hxx b/odb/qt/version.hxx
index ef41c2e..162f051 100644
--- a/odb/qt/version.hxx
+++ b/odb/qt/version.hxx
@@ -32,23 +32,23 @@
// Check that we have compatible ODB version.
//
-#if ODB_VERSION != 20466
+#if ODB_VERSION != 20467
# error incompatible odb interface version detected
#endif
// ODB Qt interface version: odb interface version plus the Qt interface
// version.
//
-#define ODB_QT_VERSION 2046600
-#define ODB_QT_VERSION_STR "2.5.0-b.16"
+#define ODB_QT_VERSION 2046700
+#define ODB_QT_VERSION_STR "2.5.0-b.17"
// libodb-qt version: odb interface version plus the bugfix version. Note
// that LIBODB_QT_VERSION is always greater or equal to ODB_QT_VERSION
// since if the Qt interface virsion is incremented then the bugfix version
// must be incremented as well.
//
-#define LIBODB_QT_VERSION 2049966
-#define LIBODB_QT_VERSION_STR "2.5.0-b.16"
+#define LIBODB_QT_VERSION 2049967
+#define LIBODB_QT_VERSION_STR "2.5.0-b.17"
#include <odb/post.hxx>
diff --git a/odb/qt/version.options b/odb/qt/version.options
index 7f69091..5af28b1 100644
--- a/odb/qt/version.options
+++ b/odb/qt/version.options
@@ -12,6 +12,6 @@
#
--hxx-prologue '#include <odb/qt/version.hxx>'
---hxx-prologue '#if ODB_QT_VERSION != 2046600 // 2.5.0-b.16'
+--hxx-prologue '#if ODB_QT_VERSION != 2046700 // 2.5.0-b.17'
--hxx-prologue '# error ODB and C++ compilers see different libodb-qt interface versions'
--hxx-prologue '#endif'
diff --git a/version b/version
index dfe1a80..020c790 100644
--- a/version
+++ b/version
@@ -1 +1 @@
-2.5.0-b.16
+2.5.0-b.17